View Issue Details

IDProjectCategoryView StatusLast Update
0001133OpenMPTPlayer input plugins (xmp-openmpt, in_openmpt)public2020-05-08 18:14
ReporterSlender Assigned Tomanx  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionno change required 
Platformx64OSWindowsOS Version10
Target VersionOpenMPT 1.29.01.00 / libopenmpt 0.5.0 (current stable)Fixed in VersionOpenMPT 1.29.01.00 / libopenmpt 0.5.0 (current stable) 
Summary0001133: foo_openmpt does not check if some configuration parameters are in the range specified in the text of the parameter
Description

Not sure if this is intentional or not. Foo_openmpt's configuration states ranges for some parameters, such as volume ramping and gain. However,I noticed that in the volume ramping and gain parameters, the component doesn't actually check to make sure the value entered is in the specified range, which makes it possible to do things such as set gain to 72, which results in rather unpleasant sounding audio glitches, or to set volume ramping to 60,000 milliseconds, which results in rather odd behavior with some modules. Other fields are unaffected, so it isn't possible to set the sample rate to 1Hz or anything like that.

TagsNo tags attached.
Has the bug occurred in previous versions?
Tested code revision (in case you know it)r10556

Activities

manx

manx

2020-05-08 18:14

administrator   ~0004308

foo_openmpt is deprecated as of libopenmpt 0.5 and is replaced by foo_openmpt54.
See https://lib.openmpt.org/libopenmpt/2019/01/12/future-of-foo_openmpt/ .

Issue History

Date Modified Username Field Change
2018-07-12 18:18 Slender New Issue
2018-07-12 18:23 manx Assigned To => manx
2018-07-12 18:23 manx Status new => assigned
2018-07-12 18:27 Slender Tested code revision (in case you know it) R10556 => r10556
2020-05-08 18:12 manx Target Version => OpenMPT 1.29.01.00 / libopenmpt 0.5.0 (current stable)
2020-05-08 18:14 manx Status assigned => closed
2020-05-08 18:14 manx Resolution open => no change required
2020-05-08 18:14 manx Fixed in Version => OpenMPT 1.29.01.00 / libopenmpt 0.5.0 (current stable)
2020-05-08 18:14 manx Note Added: 0004308
2020-05-24 19:25 manx Category Player input plugins (xmp-openmpt, in_openmpt, foo_openmpt) => Player input plugins (xmp-openmpt, in_openmpt)